WEBINARSandboxes for AI agents, Oct 7th.Sandboxes: give your AI agents a real machine. Live on October 7th.Register free

ClickUp Update Task

View as Markdown
  • PATCH
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions
  • /:action_id

Update ClickUp Update Task action configuration

Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.

Request

REQUIRED SCOPES
PIPELINE_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

action_idrequiredinteger
The ID of the action

Example: 456

BODY PARAMETERS
typerequiredstring
The type of the action

Value: CLICKUP_UPDATE_TASK

after_action_idinteger
The numerical ID of the action, after which this action should be added
namerequiredstring
The name of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
loopstring[]
The list of commands that will be executed in a loop
current_revisionstring
The git revision of the last successful run of the action
integrationrequiredClickUpIntegrationRef
ClickUp integration (CLICKUP)
task_idstring
The id of the ClickUp task to update
titlestring
The title of the task
descriptionstring
The description of the task. Markdown is supported
statusstring
The status of the task, as displayed in ClickUp
prioritystring
The priority of the task. One of urgent, high, normal, low
add_tagsstring[]
The names of the tags to add to the task
remove_tagsstring[]
The names of the tags to remove from the task
add_assigneesstring[]
The email addresses of the people to assign the task to
remove_assigneesstring[]
The email addresses of the people to unassign from the task
due_datestring
The due date of the task. Epoch milliseconds, an ISO-8601 date time or yyyy-MM-dd
start_datestring
The start date of the task. Epoch milliseconds, an ISO-8601 date time or yyyy-MM-dd
time_estimateinteger
The time estimate of the task, in minutes
custom_fieldsClickUpCustomFieldValue[]
The custom fields to set on the task, by field name
spacestring
The name of the ClickUp space the list belongs to. Optional, narrows the search when several lists share the same name
folderstring
The name of the ClickUp folder the list belongs to. Optional, narrows the search when several lists share the same name. Leave empty to match a list that is not in any folder
liststring
The name of the list to move the task to
archivedboolean
Set to true to archive the task, to false to restore it
attachmentsstring[]
The paths of the files to attach to the task, relative to the pipeline filesystem
commentstring
The comment to add to the task
comment_attachmentsstring[]
The paths of the files to link in the comment. ClickUp has no comment attachments - the files are uploaded as task attachments and their links are appended to the comment
notify_allboolean
Set to true to notify everyone assigned to the task

Response

RESPONSE BODY
typestring
The type of the action

Value: CLICKUP_UPDATE_TASK

urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the action
namestring
The name of the action
current_revisionstring
The git revision of the last successful run of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
last_execution_statusstring enum
The status of the last run of the action
Allowed enum:
INPROGRESS,
ENQUEUED,
TERMINATED,
SUCCESSFUL,
FAILED,
INITIAL,
NOT_EXECUTED,
SKIPPED,
TERMINATING,
WAITING_FOR_APPLY,
WAITING_FOR_VARIABLES,
WAITING_FOR_SETTABLE_VARIABLES,
WAITING_FOR_VT_SESSION
pipelineShortPipelineView
Short representation of a pipeline
permissionsPermissionsView
Access permissions configuration
loopstring[]
The list of commands that will be executed in a loop
integrationIntegrationIdentifierView
The integration used by the action
task_idstring
The id of the ClickUp task to update
titlestring
The title of the task
descriptionstring
The description of the task. Markdown is supported
statusstring
The status of the task, as displayed in ClickUp
prioritystring
The priority of the task. One of urgent, high, normal, low
add_tagsstring[]
The names of the tags to add to the task
remove_tagsstring[]
The names of the tags to remove from the task
add_assigneesstring[]
The email addresses of the people to assign the task to
remove_assigneesstring[]
The email addresses of the people to unassign from the task
due_datestring
The due date of the task. Epoch milliseconds, an ISO-8601 date time or yyyy-MM-dd
start_datestring
The start date of the task. Epoch milliseconds, an ISO-8601 date time or yyyy-MM-dd
time_estimateinteger
The time estimate of the task, in minutes
custom_fieldsClickUpCustomFieldValue[]
The custom fields to set on the task, by field name
spacestring
The name of the ClickUp space the list belongs to. Optional, narrows the search when several lists share the same name
folderstring
The name of the ClickUp folder the list belongs to. Optional, narrows the search when several lists share the same name. Leave empty to match a list that is not in any folder
liststring
The name of the list to move the task to
archivedboolean
Set to true to archive the task, to false to restore it
attachmentsstring[]
The paths of the files to attach to the task, relative to the pipeline filesystem
commentstring
The comment to add to the task
comment_attachmentsstring[]
The paths of the files to link in the comment. ClickUp has no comment attachments - the files are uploaded as task attachments and their links are appended to the comment
notify_allboolean
Set to true to notify everyone assigned to the task

Last modified on Sep 28, 2026

Request example

curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "Sync ClickUp task after deploy", "type": "CLICKUP_UPDATE_TASK", "trigger_time": "ON_EVERY_EXECUTION", "task_id": "86a1b2c3d", "title": "[deployed] release 1.4.0", "description": "Deployed to production from `$BUDDY_RUN_BRANCH`", "status": "done", "priority": "normal", "add_tags": [ "deployed" ], "remove_tags": [ "needs-triage" ], "add_assignees": [ "release-manager@example.com" ], "remove_assignees": [ "developer@example.com" ], "due_date": "2026-09-01", "start_date": "2026-09-01", "time_estimate": 240, "custom_fields": [ { "name": "Deployed Revision", "value": "$BUDDY_RUN_COMMIT" } ], "space": "Development", "folder": "Releases", "list": "Released", "archived": false, "attachments": [ "reports/deploy-report.pdf" ], "comment": "Deployed by Buddy - $BUDDY_RUN_URL", "comment_attachments": [ "logs/deploy.log" ], "notify_all": false, "integration": { "identifier": "our-clickup-prod" } }'
STATUS
200 OK